Skip to main content
`Ctrl`+`K`

# MatMFFDType

algorithm used to compute the `h` used in computing matrix-vector products via differencing of a function

## Synopsis

    typedef const char *MatMFFDType;
    #define MATMFFD_DS "ds"
    #define MATMFFD_WP "wp"

## Values

- `MATMFFD_DS` - an algorithm described by Dennis and Schnabel [DennisJrS83]

- `MATMFFD_WP` - the Walker-Pernice [PW98] strategy.

## References

[PW98]

M. Pernice and H. F. Walker. NITSOL: a Newton iterative solver for nonlinear systems. SIAM J. Sci. Stat. Comput., 19:302–318, 1998.

[DennisJrS83]

J. E. Dennis Jr. and Robert B. Schnabel. Numerical Methods for Unconstrained Optimization and Nonlinear Equations. Prentice-Hall, Inc., Englewood Cliffs, NJ, 1983.

## See Also

Matrices, `MatMFFDSetType()`, `MatMFFDRegister()`, `MatMFFDSetFunction()`, `MatCreateMFFD()`

## Level

beginner

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages